summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh21
1 files changed, 4 insertions, 17 deletions
diff --git a/autogen.sh b/autogen.sh
index ccce4f0..73b2179 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,18 +1,5 @@
-#!/bin/sh
+#! /bin/sh
+autoreconf -v --install || exit 1
+glib-gettextize --force --copy || exit 1
+./configure --enable-maintainer-mode "$@"
-run ()
-{
- echo "running: $*"
- eval $*
-
- if test $? != 0 ; then
- echo "error: while running '$*'"
- exit 1
- fi
-}
-
-run aclocal
-#run autoheader
-run libtoolize -f
-run automake -a
-run autoconf
personal git repositories of Harald Welte. Your mileage may vary